com.massivecraft.factions.zcore.util

## Class TagUtil

- java.lang.Object
- - com.massivecraft.factions.zcore.util.TagUtil

-     public class TagUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.util.List<mkremins.fanciful.FancyMessage>` | `getFancy(Faction target, FPlayer fme, TagReplacer type, java.lang.String prefix)` Lets get fancy.
    `static boolean` | `hasFancy(java.lang.String line)` Checks if a line has fancy variables
    `static java.util.List<mkremins.fanciful.FancyMessage>` | `parseFancy(Faction faction, FPlayer fme, java.lang.String line)` Scan a line and parse the fancy variable into a fancy list
    `static java.lang.String` | `parsePlaceholders(org.bukkit.entity.Player player, java.lang.String line)`
    `static java.lang.String` | `parsePlain(Faction faction, FPlayer fplayer, java.lang.String line)` Replaces all variables in a plain raw line for a faction, using relations from fplayer
    `static java.lang.String` | `parsePlain(Faction faction, java.lang.String line)` Replaces all variables in a plain raw line for a faction
    `static java.lang.String` | `parsePlain(FPlayer fplayer, java.lang.String line)` Replaces all variables in a plain raw line for a player

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagUtil

          public TagUtil()

  - ### Method Detail

    - #### parsePlain

          public static java.lang.String parsePlain(Faction faction,
                                                    java.lang.String line)

      Replaces all variables in a plain raw line for a faction
      Parameters:
        `faction` - for faction
        `line` - raw line from config with variables to replace for
      Returns:
        clean line

    - #### parsePlain

          public static java.lang.String parsePlain(FPlayer fplayer,
                                                    java.lang.String line)

      Replaces all variables in a plain raw line for a player
      Parameters:
        `fplayer` - for player
        `line` - raw line from config with variables to replace for
      Returns:
        clean line

    - #### parsePlain

          public static java.lang.String parsePlain(Faction faction,
                                                    FPlayer fplayer,
                                                    java.lang.String line)

      Replaces all variables in a plain raw line for a faction, using relations from fplayer
      Parameters:
        `faction` - for faction
        `fplayer` - from player
        `line` - raw line from config with variables to replace for
      Returns:
        clean line

    - #### parseFancy

          public static java.util.List<mkremins.fanciful.FancyMessage> parseFancy(Faction faction,
                                                                                  FPlayer fme,
                                                                                  java.lang.String line)

      Scan a line and parse the fancy variable into a fancy list
      Parameters:
        `faction` - for faction (viewers faction)
        `fme` - for player (viewer)
        `line` - fancy message prefix
      Returns:

    - #### parsePlaceholders

          public static java.lang.String parsePlaceholders(org.bukkit.entity.Player player,
                                                           java.lang.String line)

    - #### hasFancy

          public static boolean hasFancy(java.lang.String line)

      Checks if a line has fancy variables
      Parameters:
        `line` - raw line from config with variables
      Returns:
        if the line has fancy variables

    - #### getFancy

          protected static java.util.List<mkremins.fanciful.FancyMessage> getFancy(Faction target,
                                                                                   FPlayer fme,
                                                                                   TagReplacer type,
                                                                                   java.lang.String prefix)

      Lets get fancy.
      Parameters:
        `target` - Faction to get relate from
        `fme` - Player to relate to
        `prefix` - First part of the fancy message
      Returns:
        list of fancy messages to send